﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTOs
{
    /// <summary>
    /// define a DTO for an administrator
    /// properties :
    ///     Id : identifier in the database
    ///     Username : username for a administrator
    ///     HashedPassword : hash of the password of the administrator
    /// </summary>
    public class AdministratorDto
    {
        public uint Id { get; set; }
        public string Username { get; set; } = null!;
        public string HashedPassword { get; set; } = null!;
    }
}
